You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@aurora.apache.org by js...@apache.org on 2017/12/13 04:59:51 UTC

[2/2] aurora git commit: Update to Thrift 0.10.0 (https://github.com/apache/thrift/blob/master/CHANGES)

Update to Thrift 0.10.0 (https://github.com/apache/thrift/blob/master/CHANGES)

Included changes:

* Update to the latest pants version. This was necesary to get ./pants gen working.
* The Java hashcode option has been removed as it is now the default.

Testing Done:
```
$ ./build-support/jenkins/build.sh
$ ./src/test/sh/org/apache/aurora/e2e/test_end_to_end.sh
```

Reviewed at https://reviews.apache.org/r/64290/


Project: http://git-wip-us.apache.org/repos/asf/aurora/repo
Commit: http://git-wip-us.apache.org/repos/asf/aurora/commit/4489dc34
Tree: http://git-wip-us.apache.org/repos/asf/aurora/tree/4489dc34
Diff: http://git-wip-us.apache.org/repos/asf/aurora/diff/4489dc34

Branch: refs/heads/master
Commit: 4489dc34516e2d1dd745d2946e0cf6fabaadc8d5
Parents: 65c2288
Author: John Sirois <js...@apache.org>
Authored: Tue Dec 12 20:59:47 2017 -0800
Committer: John Sirois <jo...@gmail.com>
Committed: Tue Dec 12 20:59:47 2017 -0800

----------------------------------------------------------------------
 .isort.cfg                                      |   1 +
 3rdparty/python/requirements.txt                |   2 +-
 api/src/main/thrift/org/apache/aurora/gen/BUILD |  10 +-
 api/src/main/thrift/org/apache/thermos/BUILD    |   2 +-
 build-support/jenkins/build.sh                  |   3 +-
 build-support/packer/build.sh                   |   4 +-
 build-support/python/checkstyle-check           |   2 +-
 build-support/python/isort                      |  32 --
 build-support/python/isort-check                |   2 +-
 build-support/python/isort-run                  |   2 +-
 build-support/release/make-python-sdists        |   2 +-
 build-support/thrift/.gitignore                 |   3 +-
 .../AURORA-1727.compiler.cpp.Makefile.in.patch  | 370 -------------------
 ...r.cpp.src.generate.t_java_generator.cc.patch |  15 -
 .../thrift/AURORA-1727.lib.py.setup.py.patch    |  45 ---
 build-support/thrift/BUILD                      |  27 --
 build-support/thrift/Makefile                   |  63 ----
 build-support/thrift/prepare_binary.sh          |  72 ----
 build-support/thrift/thriftw                    |  80 +++-
 build.gradle                                    |   2 +-
 .../org/apache/aurora/build/ThriftPlugin.groovy |   2 +-
 pants.ini                                       |  20 +-
 src/main/python/apache/aurora/client/cli/BUILD  |   4 +-
 src/main/python/apache/thermos/observer/BUILD   |   8 +-
 src/test/python/apache/aurora/__init__.py       |  13 -
 src/test/python/apache/aurora/admin/__init__.py |  13 -
 .../python/apache/aurora/client/__init__.py     |  13 -
 .../python/apache/aurora/client/api/__init__.py |  13 -
 .../aurora/client/binding_helpers/__init__.py   |  13 -
 .../python/apache/aurora/client/cli/__init__.py |  13 -
 .../apache/aurora/client/docker/__init__.py     |  13 -
 .../aurora/common/health_check/__init__.py      |  13 -
 .../apache/aurora/executor/common/__init__.py   |  13 -
 .../python/apache/thermos/core/test_process.py  |  38 +-
 34 files changed, 111 insertions(+), 817 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/.isort.cfg
----------------------------------------------------------------------
diff --git a/.isort.cfg b/.isort.cfg
index f53ccba..05c3965 100644
--- a/.isort.cfg
+++ b/.isort.cfg
@@ -18,3 +18,4 @@ known_first_party=apache
 multi_line_output=3
 forced_separate=gen
 default_section=THIRDPARTY
+not_skip=__init__.py

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/3rdparty/python/requirements.txt
----------------------------------------------------------------------
diff --git a/3rdparty/python/requirements.txt b/3rdparty/python/requirements.txt
index 85a23d7..4ac242c 100644
--- a/3rdparty/python/requirements.txt
+++ b/3rdparty/python/requirements.txt
@@ -30,7 +30,7 @@ requests==2.18.4
 requests-kerberos==0.11.0
 requests-mock==1.3.0
 subprocess32==3.2.7
-thrift==0.9.1
+thrift==0.10.0
 twitter.common.app==0.3.9
 twitter.common.collections==0.3.9
 twitter.common.concurrent==0.3.9

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/api/src/main/thrift/org/apache/aurora/gen/BUILD
----------------------------------------------------------------------
diff --git a/api/src/main/thrift/org/apache/aurora/gen/BUILD b/api/src/main/thrift/org/apache/aurora/gen/BUILD
index 835b0cc..e6aa691 100644
--- a/api/src/main/thrift/org/apache/aurora/gen/BUILD
+++ b/api/src/main/thrift/org/apache/aurora/gen/BUILD
@@ -14,23 +14,21 @@
 
 import os
 
-TEST_DATA = globs('*test.thrift')
-
 python_thrift_library(
   name = '_api',
   sources = [
     'api.thrift',
   ],
   dependencies = [
-    'build-support/thrift',
+    '3rdparty/python:thrift',
   ],
 )
 
 python_thrift_library(
   name = '_test',
-  sources = TEST_DATA,
+  sources = globs('*test.thrift'),
   dependencies = [
-    'build-support/thrift',
+    '3rdparty/python:thrift',
   ],
 )
 
@@ -38,7 +36,7 @@ python_thrift_library(
   name = '_storage',
   sources = ['storage.thrift'],
   dependencies = [
-    'build-support/thrift',
+    '3rdparty/python:thrift',
     ':_api',
   ],
 )

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/api/src/main/thrift/org/apache/thermos/BUILD
----------------------------------------------------------------------
diff --git a/api/src/main/thrift/org/apache/thermos/BUILD b/api/src/main/thrift/org/apache/thermos/BUILD
index b58338e..d219c86 100644
--- a/api/src/main/thrift/org/apache/thermos/BUILD
+++ b/api/src/main/thrift/org/apache/thermos/BUILD
@@ -22,6 +22,6 @@ python_thrift_library(
     description = 'Autogenerated Thermos thrift schemas.',
   ),
   dependencies = [
-    'build-support/thrift',
+    '3rdparty/python:thrift',
   ],
 )

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/build-support/jenkins/build.sh
----------------------------------------------------------------------
diff --git a/build-support/jenkins/build.sh b/build-support/jenkins/build.sh
index f59fe27..4c25a3f 100755
--- a/build-support/jenkins/build.sh
+++ b/build-support/jenkins/build.sh
@@ -25,8 +25,7 @@ date
 
 # Run remaining Python style checks and all tests
 ./build-support/python/checkstyle-check
-./pants test.pytest --junit-xml-dir="$PWD/dist/test-results" \
-  src/{main,test}/python:: -- -v
+./pants test.pytest --junit-xml-dir="$PWD/dist/test-results" src/test/python:: -- -v
 
 # Ensure we can build python sdists (AURORA-1174)
 ./build-support/release/make-python-sdists

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/build-support/packer/build.sh
----------------------------------------------------------------------
diff --git a/build-support/packer/build.sh b/build-support/packer/build.sh
index 8544412..900a7c6 100644
--- a/build-support/packer/build.sh
+++ b/build-support/packer/build.sh
@@ -115,10 +115,10 @@ function install_thrift {
   # Install thrift, needed for code generation in the scheduler build.
   curl -sSL http://apache.org/dist/thrift/KEYS | gpg --import -
   gpg --export --armor 66B778F9 | apt-key add -
-  echo 'deb http://www.apache.org/dist/thrift/debian 0.9.1 main' \
+  echo 'deb http://www.apache.org/dist/thrift/debian 0.10.0 main' \
     > /etc/apt/sources.list.d/thrift.list
   apt-get update
-  apt-get install thrift-compiler=0.9.1
+  apt-get install thrift-compiler=0.10.0
 }
 
 function warm_artifact_cache {

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/build-support/python/checkstyle-check
----------------------------------------------------------------------
diff --git a/build-support/python/checkstyle-check b/build-support/python/checkstyle-check
index 0c88002..7e65dd9 100755
--- a/build-support/python/checkstyle-check
+++ b/build-support/python/checkstyle-check
@@ -20,4 +20,4 @@ HERE=$(cd `dirname "${BASH_SOURCE[0]}"` && pwd)
 
 # TODO(John Sirois): Consider using `./pants changed` as a feed for this check.
 # We need not be checking the whole repo on evey commit.
-$HERE/../../pants compile.pythonstyle src/{main,test}/python::
+$HERE/../../pants lint.pythonstyle src/{main,test}/python::

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/build-support/python/isort
----------------------------------------------------------------------
diff --git a/build-support/python/isort b/build-support/python/isort
deleted file mode 100755
index 37e6cd2..0000000
--- a/build-support/python/isort
+++ /dev/null
@@ -1,32 +0,0 @@
-#!/usr/bin/env bash
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#
-# Wrapper script for running isort
-set -e
-
-HERE=$(cd `dirname "${BASH_SOURCE[0]}"` && pwd)
-ISORT_VERSION=4.0.0
-
-if ! [ -f "$HERE/isort.venv/BOOTSTRAPPED" ] || \
-    [ x`cat "$HERE/isort.venv/BOOTSTRAPPED"` != x$ISORT_VERSION ]; then
-  echo Bootstrapping isort @ $ISORT_VERSION
-  rm -fr "$HERE/isort.venv"
-  "$HERE/../virtualenv" "$HERE/isort.venv"
-  source "$HERE/isort.venv/bin/activate"
-  python -m pip install "isort==$ISORT_VERSION"
-  echo $ISORT_VERSION > "$HERE/isort.venv/BOOTSTRAPPED"
-fi
-
-source "$HERE/isort.venv/bin/activate"
-exec isort "$@"

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/build-support/python/isort-check
----------------------------------------------------------------------
diff --git a/build-support/python/isort-check b/build-support/python/isort-check
index a1bb94c..f305fd9 100755
--- a/build-support/python/isort-check
+++ b/build-support/python/isort-check
@@ -14,4 +14,4 @@
 set -e
 
 HERE=$(cd `dirname "${BASH_SOURCE[0]}"` && pwd)
-$HERE/isort -ns __init__.py -rc $HERE/../../src -c -df
+$HERE/../../pants fmt.isort src/{main,test}/python:: -- --diff

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/build-support/python/isort-run
----------------------------------------------------------------------
diff --git a/build-support/python/isort-run b/build-support/python/isort-run
index 1b39d41..301118a 100755
--- a/build-support/python/isort-run
+++ b/build-support/python/isort-run
@@ -14,4 +14,4 @@
 set -e
 
 HERE=$(cd `dirname "${BASH_SOURCE[0]}"` && pwd)
-$HERE/isort -ns __init__.py -rc $HERE/../../src
+$HERE/../../pants fmt.isort src/{main,test}/python::

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/build-support/release/make-python-sdists
----------------------------------------------------------------------
diff --git a/build-support/release/make-python-sdists b/build-support/release/make-python-sdists
index 51e11db..ef05698 100755
--- a/build-support/release/make-python-sdists
+++ b/build-support/release/make-python-sdists
@@ -28,7 +28,7 @@ set -o errexit
 
 # Use the convention of a python_library exporting a setup_py alongside each public target
 # to generate the list of setup_pys our project provides.
-TARGETS=($(./pants filter --type=python_binary src/main:: | sed 's@:.*@@'))
+TARGETS=($(./pants filter --type=python_binary src/main:: | sed 's@:.*@@' | sort -u))
 
 cd "`git rev-parse --show-toplevel`"
 # Run in a virtualenv so that we use a consistent version of setuptools to generate the sdist.

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/build-support/thrift/.gitignore
----------------------------------------------------------------------
diff --git a/build-support/thrift/.gitignore b/build-support/thrift/.gitignore
index 82c5bc5..87a0c20 100644
--- a/build-support/thrift/.gitignore
+++ b/build-support/thrift/.gitignore
@@ -1,2 +1 @@
-/serve/
-/thrift-*
+/thrift

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/build-support/thrift/AURORA-1727.compiler.cpp.Makefile.in.patch
----------------------------------------------------------------------
diff --git a/build-support/thrift/AURORA-1727.compiler.cpp.Makefile.in.patch b/build-support/thrift/AURORA-1727.compiler.cpp.Makefile.in.patch
deleted file mode 100644
index 77c966c..0000000
--- a/build-support/thrift/AURORA-1727.compiler.cpp.Makefile.in.patch
+++ /dev/null
@@ -1,370 +0,0 @@
---- thrift-0.9.1/compiler/cpp/Makefile.in	2016-10-12 11:08:49.012927396 -0600
-+++ thrift-0.9.1/compiler/cpp/Makefile.in.fix	2016-10-12 11:11:25.600812386 -0600
-@@ -96,27 +96,10 @@
- PROGRAMS = $(bin_PROGRAMS)
- am_thrift_OBJECTS = thrift-main.$(OBJEXT) thrift-md5.$(OBJEXT) \
- 	thrift-t_generator.$(OBJEXT) thrift-parse.$(OBJEXT) \
--	thrift-t_c_glib_generator.$(OBJEXT) \
--	thrift-t_cpp_generator.$(OBJEXT) \
- 	thrift-t_java_generator.$(OBJEXT) \
--	thrift-t_as3_generator.$(OBJEXT) \
--	thrift-t_csharp_generator.$(OBJEXT) \
- 	thrift-t_py_generator.$(OBJEXT) \
--	thrift-t_rb_generator.$(OBJEXT) \
--	thrift-t_perl_generator.$(OBJEXT) \
--	thrift-t_php_generator.$(OBJEXT) \
--	thrift-t_erl_generator.$(OBJEXT) \
--	thrift-t_cocoa_generator.$(OBJEXT) \
--	thrift-t_st_generator.$(OBJEXT) \
--	thrift-t_ocaml_generator.$(OBJEXT) \
--	thrift-t_hs_generator.$(OBJEXT) \
--	thrift-t_xsd_generator.$(OBJEXT) \
- 	thrift-t_html_generator.$(OBJEXT) \
--	thrift-t_js_generator.$(OBJEXT) \
--	thrift-t_javame_generator.$(OBJEXT) \
--	thrift-t_delphi_generator.$(OBJEXT) \
--	thrift-t_go_generator.$(OBJEXT) \
--	thrift-t_gv_generator.$(OBJEXT) thrift-t_d_generator.$(OBJEXT)
-+	thrift-t_js_generator.$(OBJEXT)
- thrift_OBJECTS = $(am_thrift_OBJECTS)
- thrift_DEPENDENCIES = libparse.a
- thrift_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
-@@ -377,25 +360,11 @@
- 	src/parse/t_const_value.h src/parse/parse.cc \
- 	src/generate/t_generator.h src/generate/t_oop_generator.h \
- 	src/generate/t_html_generator.h src/windows/config.h \
--	src/windows/version.h src/generate/t_c_glib_generator.cc \
--	src/generate/t_cpp_generator.cc \
-+	src/windows/version.h \
- 	src/generate/t_java_generator.cc \
--	src/generate/t_as3_generator.cc \
--	src/generate/t_csharp_generator.cc \
--	src/generate/t_py_generator.cc src/generate/t_rb_generator.cc \
--	src/generate/t_perl_generator.cc \
--	src/generate/t_php_generator.cc \
--	src/generate/t_erl_generator.cc \
--	src/generate/t_cocoa_generator.cc \
--	src/generate/t_st_generator.cc \
--	src/generate/t_ocaml_generator.cc \
--	src/generate/t_hs_generator.cc src/generate/t_xsd_generator.cc \
-+	src/generate/t_py_generator.cc \
- 	src/generate/t_html_generator.cc \
--	src/generate/t_js_generator.cc \
--	src/generate/t_javame_generator.cc \
--	src/generate/t_delphi_generator.cc \
--	src/generate/t_go_generator.cc src/generate/t_gv_generator.cc \
--	src/generate/t_d_generator.cc
-+	src/generate/t_js_generator.cc
- thrift_CPPFLAGS = -I$(srcdir)/src
- thrift_CXXFLAGS = -Wall
- thrift_LDADD = @LEXLIB@ libparse.a
-@@ -518,29 +487,11 @@
- @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-main.Po@am__quote@
- @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-md5.Po@am__quote@
- @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-parse.Po@am__quote@
--@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_as3_generator.Po@am__quote@
--@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_c_glib_generator.Po@am__quote@
--@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_cocoa_generator.Po@am__quote@
--@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_cpp_generator.Po@am__quote@
--@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_csharp_generator.Po@am__quote@
--@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_d_generator.Po@am__quote@
--@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_delphi_generator.Po@am__quote@
--@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_erl_generator.Po@am__quote@
- @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_generator.Po@am__quote@
--@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_go_generator.Po@am__quote@
--@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_gv_generator.Po@am__quote@
--@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_hs_generator.Po@am__quote@
- @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_html_generator.Po@am__quote@
- @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_java_generator.Po@am__quote@
--@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_javame_generator.Po@am__quote@
- @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_js_generator.Po@am__quote@
--@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_ocaml_generator.Po@am__quote@
--@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_perl_generator.Po@am__quote@
--@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_php_generator.Po@am__quote@
- @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_py_generator.Po@am__quote@
--@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_rb_generator.Po@am__quote@
--@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_st_generator.Po@am__quote@
--@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thrift-t_xsd_generator.Po@am__quote@
- 
- .c.o:
- @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@@ -668,34 +619,6 @@
- @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
- @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-parse.obj `if test -f 'src/parse/parse.cc'; then $(CYGPATH_W) 'src/parse/parse.cc'; else $(CYGPATH_W) '$(srcdir)/src/parse/parse.cc'; fi`
- 
--thrift-t_c_glib_generator.o: src/generate/t_c_glib_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_c_glib_generator.o -MD -MP -MF $(DEPDIR)/thrift-t_c_glib_generator.Tpo -c -o thrift-t_c_glib_generator.o `test -f 'src/generate/t_c_glib_generator.cc' || echo '$(srcdir)/'`src/generate/t_c_glib_generator.cc
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_c_glib_generator.Tpo $(DEPDIR)/thrift-t_c_glib_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_c_glib_generator.cc' object='thrift-t_c_glib_generator.o' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_c_glib_generator.o `test -f 'src/generate/t_c_glib_generator.cc' || echo '$(srcdir)/'`src/generate/t_c_glib_generator.cc
--
--thrift-t_c_glib_generator.obj: src/generate/t_c_glib_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_c_glib_generator.obj -MD -MP -MF $(DEPDIR)/thrift-t_c_glib_generator.Tpo -c -o thrift-t_c_glib_generator.obj `if test -f 'src/generate/t_c_glib_generator.cc'; then $(CYGPATH_W) 'src/generate/t_c_glib_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_c_glib_generator.cc'; fi`
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_c_glib_generator.Tpo $(DEPDIR)/thrift-t_c_glib_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_c_glib_generator.cc' object='thrift-t_c_glib_generator.obj' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_c_glib_generator.obj `if test -f 'src/generate/t_c_glib_generator.cc'; then $(CYGPATH_W) 'src/generate/t_c_glib_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_c_glib_generator.cc'; fi`
--
--thrift-t_cpp_generator.o: src/generate/t_cpp_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_cpp_generator.o -MD -MP -MF $(DEPDIR)/thrift-t_cpp_generator.Tpo -c -o thrift-t_cpp_generator.o `test -f 'src/generate/t_cpp_generator.cc' || echo '$(srcdir)/'`src/generate/t_cpp_generator.cc
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_cpp_generator.Tpo $(DEPDIR)/thrift-t_cpp_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_cpp_generator.cc' object='thrift-t_cpp_generator.o' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_cpp_generator.o `test -f 'src/generate/t_cpp_generator.cc' || echo '$(srcdir)/'`src/generate/t_cpp_generator.cc
--
--thrift-t_cpp_generator.obj: src/generate/t_cpp_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_cpp_generator.obj -MD -MP -MF $(DEPDIR)/thrift-t_cpp_generator.Tpo -c -o thrift-t_cpp_generator.obj `if test -f 'src/generate/t_cpp_generator.cc'; then $(CYGPATH_W) 'src/generate/t_cpp_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_cpp_generator.cc'; fi`
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_cpp_generator.Tpo $(DEPDIR)/thrift-t_cpp_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_cpp_generator.cc' object='thrift-t_cpp_generator.obj' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_cpp_generator.obj `if test -f 'src/generate/t_cpp_generator.cc'; then $(CYGPATH_W) 'src/generate/t_cpp_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_cpp_generator.cc'; fi`
--
- thrift-t_java_generator.o: src/generate/t_java_generator.cc
- @am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_java_generator.o -MD -MP -MF $(DEPDIR)/thrift-t_java_generator.Tpo -c -o thrift-t_java_generator.o `test -f 'src/generate/t_java_generator.cc' || echo '$(srcdir)/'`src/generate/t_java_generator.cc
- @am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_java_generator.Tpo $(DEPDIR)/thrift-t_java_generator.Po
-@@ -710,34 +633,6 @@
- @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
- @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_java_generator.obj `if test -f 'src/generate/t_java_generator.cc'; then $(CYGPATH_W) 'src/generate/t_java_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_java_generator.cc'; fi`
- 
--thrift-t_as3_generator.o: src/generate/t_as3_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_as3_generator.o -MD -MP -MF $(DEPDIR)/thrift-t_as3_generator.Tpo -c -o thrift-t_as3_generator.o `test -f 'src/generate/t_as3_generator.cc' || echo '$(srcdir)/'`src/generate/t_as3_generator.cc
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_as3_generator.Tpo $(DEPDIR)/thrift-t_as3_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_as3_generator.cc' object='thrift-t_as3_generator.o' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_as3_generator.o `test -f 'src/generate/t_as3_generator.cc' || echo '$(srcdir)/'`src/generate/t_as3_generator.cc
--
--thrift-t_as3_generator.obj: src/generate/t_as3_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_as3_generator.obj -MD -MP -MF $(DEPDIR)/thrift-t_as3_generator.Tpo -c -o thrift-t_as3_generator.obj `if test -f 'src/generate/t_as3_generator.cc'; then $(CYGPATH_W) 'src/generate/t_as3_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_as3_generator.cc'; fi`
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_as3_generator.Tpo $(DEPDIR)/thrift-t_as3_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_as3_generator.cc' object='thrift-t_as3_generator.obj' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_as3_generator.obj `if test -f 'src/generate/t_as3_generator.cc'; then $(CYGPATH_W) 'src/generate/t_as3_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_as3_generator.cc'; fi`
--
--thrift-t_csharp_generator.o: src/generate/t_csharp_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_csharp_generator.o -MD -MP -MF $(DEPDIR)/thrift-t_csharp_generator.Tpo -c -o thrift-t_csharp_generator.o `test -f 'src/generate/t_csharp_generator.cc' || echo '$(srcdir)/'`src/generate/t_csharp_generator.cc
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_csharp_generator.Tpo $(DEPDIR)/thrift-t_csharp_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_csharp_generator.cc' object='thrift-t_csharp_generator.o' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_csharp_generator.o `test -f 'src/generate/t_csharp_generator.cc' || echo '$(srcdir)/'`src/generate/t_csharp_generator.cc
--
--thrift-t_csharp_generator.obj: src/generate/t_csharp_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_csharp_generator.obj -MD -MP -MF $(DEPDIR)/thrift-t_csharp_generator.Tpo -c -o thrift-t_csharp_generator.obj `if test -f 'src/generate/t_csharp_generator.cc'; then $(CYGPATH_W) 'src/generate/t_csharp_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_csharp_generator.cc'; fi`
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_csharp_generator.Tpo $(DEPDIR)/thrift-t_csharp_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_csharp_generator.cc' object='thrift-t_csharp_generator.obj' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_csharp_generator.obj `if test -f 'src/generate/t_csharp_generator.cc'; then $(CYGPATH_W) 'src/generate/t_csharp_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_csharp_generator.cc'; fi`
--
- thrift-t_py_generator.o: src/generate/t_py_generator.cc
- @am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_py_generator.o -MD -MP -MF $(DEPDIR)/thrift-t_py_generator.Tpo -c -o thrift-t_py_generator.o `test -f 'src/generate/t_py_generator.cc' || echo '$(srcdir)/'`src/generate/t_py_generator.cc
- @am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_py_generator.Tpo $(DEPDIR)/thrift-t_py_generator.Po
-@@ -752,132 +647,6 @@
- @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
- @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_py_generator.obj `if test -f 'src/generate/t_py_generator.cc'; then $(CYGPATH_W) 'src/generate/t_py_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_py_generator.cc'; fi`
- 
--thrift-t_rb_generator.o: src/generate/t_rb_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_rb_generator.o -MD -MP -MF $(DEPDIR)/thrift-t_rb_generator.Tpo -c -o thrift-t_rb_generator.o `test -f 'src/generate/t_rb_generator.cc' || echo '$(srcdir)/'`src/generate/t_rb_generator.cc
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_rb_generator.Tpo $(DEPDIR)/thrift-t_rb_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_rb_generator.cc' object='thrift-t_rb_generator.o' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_rb_generator.o `test -f 'src/generate/t_rb_generator.cc' || echo '$(srcdir)/'`src/generate/t_rb_generator.cc
--
--thrift-t_rb_generator.obj: src/generate/t_rb_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_rb_generator.obj -MD -MP -MF $(DEPDIR)/thrift-t_rb_generator.Tpo -c -o thrift-t_rb_generator.obj `if test -f 'src/generate/t_rb_generator.cc'; then $(CYGPATH_W) 'src/generate/t_rb_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_rb_generator.cc'; fi`
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_rb_generator.Tpo $(DEPDIR)/thrift-t_rb_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_rb_generator.cc' object='thrift-t_rb_generator.obj' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_rb_generator.obj `if test -f 'src/generate/t_rb_generator.cc'; then $(CYGPATH_W) 'src/generate/t_rb_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_rb_generator.cc'; fi`
--
--thrift-t_perl_generator.o: src/generate/t_perl_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_perl_generator.o -MD -MP -MF $(DEPDIR)/thrift-t_perl_generator.Tpo -c -o thrift-t_perl_generator.o `test -f 'src/generate/t_perl_generator.cc' || echo '$(srcdir)/'`src/generate/t_perl_generator.cc
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_perl_generator.Tpo $(DEPDIR)/thrift-t_perl_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_perl_generator.cc' object='thrift-t_perl_generator.o' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_perl_generator.o `test -f 'src/generate/t_perl_generator.cc' || echo '$(srcdir)/'`src/generate/t_perl_generator.cc
--
--thrift-t_perl_generator.obj: src/generate/t_perl_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_perl_generator.obj -MD -MP -MF $(DEPDIR)/thrift-t_perl_generator.Tpo -c -o thrift-t_perl_generator.obj `if test -f 'src/generate/t_perl_generator.cc'; then $(CYGPATH_W) 'src/generate/t_perl_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_perl_generator.cc'; fi`
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_perl_generator.Tpo $(DEPDIR)/thrift-t_perl_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_perl_generator.cc' object='thrift-t_perl_generator.obj' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_perl_generator.obj `if test -f 'src/generate/t_perl_generator.cc'; then $(CYGPATH_W) 'src/generate/t_perl_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_perl_generator.cc'; fi`
--
--thrift-t_php_generator.o: src/generate/t_php_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_php_generator.o -MD -MP -MF $(DEPDIR)/thrift-t_php_generator.Tpo -c -o thrift-t_php_generator.o `test -f 'src/generate/t_php_generator.cc' || echo '$(srcdir)/'`src/generate/t_php_generator.cc
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_php_generator.Tpo $(DEPDIR)/thrift-t_php_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_php_generator.cc' object='thrift-t_php_generator.o' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_php_generator.o `test -f 'src/generate/t_php_generator.cc' || echo '$(srcdir)/'`src/generate/t_php_generator.cc
--
--thrift-t_php_generator.obj: src/generate/t_php_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_php_generator.obj -MD -MP -MF $(DEPDIR)/thrift-t_php_generator.Tpo -c -o thrift-t_php_generator.obj `if test -f 'src/generate/t_php_generator.cc'; then $(CYGPATH_W) 'src/generate/t_php_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_php_generator.cc'; fi`
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_php_generator.Tpo $(DEPDIR)/thrift-t_php_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_php_generator.cc' object='thrift-t_php_generator.obj' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_php_generator.obj `if test -f 'src/generate/t_php_generator.cc'; then $(CYGPATH_W) 'src/generate/t_php_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_php_generator.cc'; fi`
--
--thrift-t_erl_generator.o: src/generate/t_erl_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_erl_generator.o -MD -MP -MF $(DEPDIR)/thrift-t_erl_generator.Tpo -c -o thrift-t_erl_generator.o `test -f 'src/generate/t_erl_generator.cc' || echo '$(srcdir)/'`src/generate/t_erl_generator.cc
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_erl_generator.Tpo $(DEPDIR)/thrift-t_erl_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_erl_generator.cc' object='thrift-t_erl_generator.o' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_erl_generator.o `test -f 'src/generate/t_erl_generator.cc' || echo '$(srcdir)/'`src/generate/t_erl_generator.cc
--
--thrift-t_erl_generator.obj: src/generate/t_erl_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_erl_generator.obj -MD -MP -MF $(DEPDIR)/thrift-t_erl_generator.Tpo -c -o thrift-t_erl_generator.obj `if test -f 'src/generate/t_erl_generator.cc'; then $(CYGPATH_W) 'src/generate/t_erl_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_erl_generator.cc'; fi`
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_erl_generator.Tpo $(DEPDIR)/thrift-t_erl_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_erl_generator.cc' object='thrift-t_erl_generator.obj' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_erl_generator.obj `if test -f 'src/generate/t_erl_generator.cc'; then $(CYGPATH_W) 'src/generate/t_erl_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_erl_generator.cc'; fi`
--
--thrift-t_cocoa_generator.o: src/generate/t_cocoa_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_cocoa_generator.o -MD -MP -MF $(DEPDIR)/thrift-t_cocoa_generator.Tpo -c -o thrift-t_cocoa_generator.o `test -f 'src/generate/t_cocoa_generator.cc' || echo '$(srcdir)/'`src/generate/t_cocoa_generator.cc
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_cocoa_generator.Tpo $(DEPDIR)/thrift-t_cocoa_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_cocoa_generator.cc' object='thrift-t_cocoa_generator.o' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_cocoa_generator.o `test -f 'src/generate/t_cocoa_generator.cc' || echo '$(srcdir)/'`src/generate/t_cocoa_generator.cc
--
--thrift-t_cocoa_generator.obj: src/generate/t_cocoa_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_cocoa_generator.obj -MD -MP -MF $(DEPDIR)/thrift-t_cocoa_generator.Tpo -c -o thrift-t_cocoa_generator.obj `if test -f 'src/generate/t_cocoa_generator.cc'; then $(CYGPATH_W) 'src/generate/t_cocoa_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_cocoa_generator.cc'; fi`
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_cocoa_generator.Tpo $(DEPDIR)/thrift-t_cocoa_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_cocoa_generator.cc' object='thrift-t_cocoa_generator.obj' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_cocoa_generator.obj `if test -f 'src/generate/t_cocoa_generator.cc'; then $(CYGPATH_W) 'src/generate/t_cocoa_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_cocoa_generator.cc'; fi`
--
--thrift-t_st_generator.o: src/generate/t_st_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_st_generator.o -MD -MP -MF $(DEPDIR)/thrift-t_st_generator.Tpo -c -o thrift-t_st_generator.o `test -f 'src/generate/t_st_generator.cc' || echo '$(srcdir)/'`src/generate/t_st_generator.cc
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_st_generator.Tpo $(DEPDIR)/thrift-t_st_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_st_generator.cc' object='thrift-t_st_generator.o' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_st_generator.o `test -f 'src/generate/t_st_generator.cc' || echo '$(srcdir)/'`src/generate/t_st_generator.cc
--
--thrift-t_st_generator.obj: src/generate/t_st_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_st_generator.obj -MD -MP -MF $(DEPDIR)/thrift-t_st_generator.Tpo -c -o thrift-t_st_generator.obj `if test -f 'src/generate/t_st_generator.cc'; then $(CYGPATH_W) 'src/generate/t_st_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_st_generator.cc'; fi`
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_st_generator.Tpo $(DEPDIR)/thrift-t_st_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_st_generator.cc' object='thrift-t_st_generator.obj' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_st_generator.obj `if test -f 'src/generate/t_st_generator.cc'; then $(CYGPATH_W) 'src/generate/t_st_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_st_generator.cc'; fi`
--
--thrift-t_ocaml_generator.o: src/generate/t_ocaml_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_ocaml_generator.o -MD -MP -MF $(DEPDIR)/thrift-t_ocaml_generator.Tpo -c -o thrift-t_ocaml_generator.o `test -f 'src/generate/t_ocaml_generator.cc' || echo '$(srcdir)/'`src/generate/t_ocaml_generator.cc
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_ocaml_generator.Tpo $(DEPDIR)/thrift-t_ocaml_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_ocaml_generator.cc' object='thrift-t_ocaml_generator.o' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_ocaml_generator.o `test -f 'src/generate/t_ocaml_generator.cc' || echo '$(srcdir)/'`src/generate/t_ocaml_generator.cc
--
--thrift-t_ocaml_generator.obj: src/generate/t_ocaml_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_ocaml_generator.obj -MD -MP -MF $(DEPDIR)/thrift-t_ocaml_generator.Tpo -c -o thrift-t_ocaml_generator.obj `if test -f 'src/generate/t_ocaml_generator.cc'; then $(CYGPATH_W) 'src/generate/t_ocaml_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_ocaml_generator.cc'; fi`
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_ocaml_generator.Tpo $(DEPDIR)/thrift-t_ocaml_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_ocaml_generator.cc' object='thrift-t_ocaml_generator.obj' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_ocaml_generator.obj `if test -f 'src/generate/t_ocaml_generator.cc'; then $(CYGPATH_W) 'src/generate/t_ocaml_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_ocaml_generator.cc'; fi`
--
--thrift-t_hs_generator.o: src/generate/t_hs_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_hs_generator.o -MD -MP -MF $(DEPDIR)/thrift-t_hs_generator.Tpo -c -o thrift-t_hs_generator.o `test -f 'src/generate/t_hs_generator.cc' || echo '$(srcdir)/'`src/generate/t_hs_generator.cc
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_hs_generator.Tpo $(DEPDIR)/thrift-t_hs_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_hs_generator.cc' object='thrift-t_hs_generator.o' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_hs_generator.o `test -f 'src/generate/t_hs_generator.cc' || echo '$(srcdir)/'`src/generate/t_hs_generator.cc
--
--thrift-t_hs_generator.obj: src/generate/t_hs_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_hs_generator.obj -MD -MP -MF $(DEPDIR)/thrift-t_hs_generator.Tpo -c -o thrift-t_hs_generator.obj `if test -f 'src/generate/t_hs_generator.cc'; then $(CYGPATH_W) 'src/generate/t_hs_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_hs_generator.cc'; fi`
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_hs_generator.Tpo $(DEPDIR)/thrift-t_hs_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_hs_generator.cc' object='thrift-t_hs_generator.obj' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_hs_generator.obj `if test -f 'src/generate/t_hs_generator.cc'; then $(CYGPATH_W) 'src/generate/t_hs_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_hs_generator.cc'; fi`
--
--thrift-t_xsd_generator.o: src/generate/t_xsd_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_xsd_generator.o -MD -MP -MF $(DEPDIR)/thrift-t_xsd_generator.Tpo -c -o thrift-t_xsd_generator.o `test -f 'src/generate/t_xsd_generator.cc' || echo '$(srcdir)/'`src/generate/t_xsd_generator.cc
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_xsd_generator.Tpo $(DEPDIR)/thrift-t_xsd_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_xsd_generator.cc' object='thrift-t_xsd_generator.o' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_xsd_generator.o `test -f 'src/generate/t_xsd_generator.cc' || echo '$(srcdir)/'`src/generate/t_xsd_generator.cc
--
--thrift-t_xsd_generator.obj: src/generate/t_xsd_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_xsd_generator.obj -MD -MP -MF $(DEPDIR)/thrift-t_xsd_generator.Tpo -c -o thrift-t_xsd_generator.obj `if test -f 'src/generate/t_xsd_generator.cc'; then $(CYGPATH_W) 'src/generate/t_xsd_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_xsd_generator.cc'; fi`
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_xsd_generator.Tpo $(DEPDIR)/thrift-t_xsd_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_xsd_generator.cc' object='thrift-t_xsd_generator.obj' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_xsd_generator.obj `if test -f 'src/generate/t_xsd_generator.cc'; then $(CYGPATH_W) 'src/generate/t_xsd_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_xsd_generator.cc'; fi`
--
- thrift-t_html_generator.o: src/generate/t_html_generator.cc
- @am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_html_generator.o -MD -MP -MF $(DEPDIR)/thrift-t_html_generator.Tpo -c -o thrift-t_html_generator.o `test -f 'src/generate/t_html_generator.cc' || echo '$(srcdir)/'`src/generate/t_html_generator.cc
- @am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_html_generator.Tpo $(DEPDIR)/thrift-t_html_generator.Po
-@@ -906,76 +675,6 @@
- @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
- @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_js_generator.obj `if test -f 'src/generate/t_js_generator.cc'; then $(CYGPATH_W) 'src/generate/t_js_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_js_generator.cc'; fi`
- 
--thrift-t_javame_generator.o: src/generate/t_javame_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_javame_generator.o -MD -MP -MF $(DEPDIR)/thrift-t_javame_generator.Tpo -c -o thrift-t_javame_generator.o `test -f 'src/generate/t_javame_generator.cc' || echo '$(srcdir)/'`src/generate/t_javame_generator.cc
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_javame_generator.Tpo $(DEPDIR)/thrift-t_javame_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_javame_generator.cc' object='thrift-t_javame_generator.o' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_javame_generator.o `test -f 'src/generate/t_javame_generator.cc' || echo '$(srcdir)/'`src/generate/t_javame_generator.cc
--
--thrift-t_javame_generator.obj: src/generate/t_javame_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_javame_generator.obj -MD -MP -MF $(DEPDIR)/thrift-t_javame_generator.Tpo -c -o thrift-t_javame_generator.obj `if test -f 'src/generate/t_javame_generator.cc'; then $(CYGPATH_W) 'src/generate/t_javame_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_javame_generator.cc'; fi`
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_javame_generator.Tpo $(DEPDIR)/thrift-t_javame_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_javame_generator.cc' object='thrift-t_javame_generator.obj' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_javame_generator.obj `if test -f 'src/generate/t_javame_generator.cc'; then $(CYGPATH_W) 'src/generate/t_javame_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_javame_generator.cc'; fi`
--
--thrift-t_delphi_generator.o: src/generate/t_delphi_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_delphi_generator.o -MD -MP -MF $(DEPDIR)/thrift-t_delphi_generator.Tpo -c -o thrift-t_delphi_generator.o `test -f 'src/generate/t_delphi_generator.cc' || echo '$(srcdir)/'`src/generate/t_delphi_generator.cc
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_delphi_generator.Tpo $(DEPDIR)/thrift-t_delphi_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_delphi_generator.cc' object='thrift-t_delphi_generator.o' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_delphi_generator.o `test -f 'src/generate/t_delphi_generator.cc' || echo '$(srcdir)/'`src/generate/t_delphi_generator.cc
--
--thrift-t_delphi_generator.obj: src/generate/t_delphi_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_delphi_generator.obj -MD -MP -MF $(DEPDIR)/thrift-t_delphi_generator.Tpo -c -o thrift-t_delphi_generator.obj `if test -f 'src/generate/t_delphi_generator.cc'; then $(CYGPATH_W) 'src/generate/t_delphi_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_delphi_generator.cc'; fi`
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_delphi_generator.Tpo $(DEPDIR)/thrift-t_delphi_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_delphi_generator.cc' object='thrift-t_delphi_generator.obj' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_delphi_generator.obj `if test -f 'src/generate/t_delphi_generator.cc'; then $(CYGPATH_W) 'src/generate/t_delphi_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_delphi_generator.cc'; fi`
--
--thrift-t_go_generator.o: src/generate/t_go_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_go_generator.o -MD -MP -MF $(DEPDIR)/thrift-t_go_generator.Tpo -c -o thrift-t_go_generator.o `test -f 'src/generate/t_go_generator.cc' || echo '$(srcdir)/'`src/generate/t_go_generator.cc
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_go_generator.Tpo $(DEPDIR)/thrift-t_go_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_go_generator.cc' object='thrift-t_go_generator.o' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_go_generator.o `test -f 'src/generate/t_go_generator.cc' || echo '$(srcdir)/'`src/generate/t_go_generator.cc
--
--thrift-t_go_generator.obj: src/generate/t_go_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_go_generator.obj -MD -MP -MF $(DEPDIR)/thrift-t_go_generator.Tpo -c -o thrift-t_go_generator.obj `if test -f 'src/generate/t_go_generator.cc'; then $(CYGPATH_W) 'src/generate/t_go_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_go_generator.cc'; fi`
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_go_generator.Tpo $(DEPDIR)/thrift-t_go_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_go_generator.cc' object='thrift-t_go_generator.obj' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_go_generator.obj `if test -f 'src/generate/t_go_generator.cc'; then $(CYGPATH_W) 'src/generate/t_go_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_go_generator.cc'; fi`
--
--thrift-t_gv_generator.o: src/generate/t_gv_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_gv_generator.o -MD -MP -MF $(DEPDIR)/thrift-t_gv_generator.Tpo -c -o thrift-t_gv_generator.o `test -f 'src/generate/t_gv_generator.cc' || echo '$(srcdir)/'`src/generate/t_gv_generator.cc
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_gv_generator.Tpo $(DEPDIR)/thrift-t_gv_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_gv_generator.cc' object='thrift-t_gv_generator.o' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_gv_generator.o `test -f 'src/generate/t_gv_generator.cc' || echo '$(srcdir)/'`src/generate/t_gv_generator.cc
--
--thrift-t_gv_generator.obj: src/generate/t_gv_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_gv_generator.obj -MD -MP -MF $(DEPDIR)/thrift-t_gv_generator.Tpo -c -o thrift-t_gv_generator.obj `if test -f 'src/generate/t_gv_generator.cc'; then $(CYGPATH_W) 'src/generate/t_gv_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_gv_generator.cc'; fi`
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_gv_generator.Tpo $(DEPDIR)/thrift-t_gv_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_gv_generator.cc' object='thrift-t_gv_generator.obj' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_gv_generator.obj `if test -f 'src/generate/t_gv_generator.cc'; then $(CYGPATH_W) 'src/generate/t_gv_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_gv_generator.cc'; fi`
--
--thrift-t_d_generator.o: src/generate/t_d_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_d_generator.o -MD -MP -MF $(DEPDIR)/thrift-t_d_generator.Tpo -c -o thrift-t_d_generator.o `test -f 'src/generate/t_d_generator.cc' || echo '$(srcdir)/'`src/generate/t_d_generator.cc
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_d_generator.Tpo $(DEPDIR)/thrift-t_d_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_d_generator.cc' object='thrift-t_d_generator.o' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_d_generator.o `test -f 'src/generate/t_d_generator.cc' || echo '$(srcdir)/'`src/generate/t_d_generator.cc
--
--thrift-t_d_generator.obj: src/generate/t_d_generator.cc
--@am__fastdepCXX_TRUE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -MT thrift-t_d_generator.obj -MD -MP -MF $(DEPDIR)/thrift-t_d_generator.Tpo -c -o thrift-t_d_generator.obj `if test -f 'src/generate/t_d_generator.cc'; then $(CYGPATH_W) 'src/generate/t_d_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_d_generator.cc'; fi`
--@am__fastdepCXX_TRUE@	$(am__mv) $(DEPDIR)/thrift-t_d_generator.Tpo $(DEPDIR)/thrift-t_d_generator.Po
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='src/generate/t_d_generator.cc' object='thrift-t_d_generator.obj' libtool=no @AMDEPBACKSLASH@
--@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
--@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(thrift_CPPFLAGS) $(CPPFLAGS) $(thrift_CXXFLAGS) $(CXXFLAGS) -c -o thrift-t_d_generator.obj `if test -f 'src/generate/t_d_generator.cc'; then $(CYGPATH_W) 'src/generate/t_d_generator.cc'; else $(CYGPATH_W) '$(srcdir)/src/generate/t_d_generator.cc'; fi`
--
- .ll.cc:
- 	$(am__skiplex) $(SHELL) $(YLWRAP) $< $(LEX_OUTPUT_ROOT).c $@ -- $(LEXCOMPILE)
- 

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/build-support/thrift/AURORA-1727.compiler.cpp.src.generate.t_java_generator.cc.patch
----------------------------------------------------------------------
diff --git a/build-support/thrift/AURORA-1727.compiler.cpp.src.generate.t_java_generator.cc.patch b/build-support/thrift/AURORA-1727.compiler.cpp.src.generate.t_java_generator.cc.patch
deleted file mode 100644
index 42300b4..0000000
--- a/build-support/thrift/AURORA-1727.compiler.cpp.src.generate.t_java_generator.cc.patch
+++ /dev/null
@@ -1,15 +0,0 @@
---- thrift-0.9.1/compiler/cpp/src/generate/t_java_generator.cc	2016-07-04 09:29:35.338735037 -0600
-+++ thrift-0.9.1/compiler/cpp/src/generate/t_java_generator.cc.fix	2016-07-04 09:34:46.593500286 -0600
-@@ -2827,7 +2827,11 @@
-      bool first = true;
-      if (xceptions.size() > 0) {
-     	 for (x_iter = xceptions.begin(); x_iter != xceptions.end(); ++x_iter) {
--    		 first ? first = false : indent(f_service_) << "else ";
-+		 if (first) {
-+			first = false;
-+		 } else {
-+			indent(f_service_) << "else ";
-+		 }
-     		 indent(f_service_) << "if (e instanceof " << type_name((*x_iter)->get_type(), false, false)<<") {" << endl;
-     		 indent(f_service_) << indent() << "result." << (*x_iter)->get_name() << " = (" << type_name((*x_iter)->get_type(), false, false) << ") e;" << endl;
-     	  	 indent(f_service_) << indent() << "result.set" << get_cap_name((*x_iter)->get_name()) << get_cap_name("isSet") << "(true);" << endl;

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/build-support/thrift/AURORA-1727.lib.py.setup.py.patch
----------------------------------------------------------------------
diff --git a/build-support/thrift/AURORA-1727.lib.py.setup.py.patch b/build-support/thrift/AURORA-1727.lib.py.setup.py.patch
deleted file mode 100644
index 11c7b13..0000000
--- a/build-support/thrift/AURORA-1727.lib.py.setup.py.patch
+++ /dev/null
@@ -1,45 +0,0 @@
---- thrift-0.9.1/lib/py/setup.py	2013-08-18 09:40:36.000000000 -0600
-+++ thrift-0.9.1/lib/py/setup.py.fix	2016-10-12 16:53:48.917117240 -0600
-@@ -19,6 +19,8 @@
- # under the License.
- #
- 
-+from __future__ import print_function
-+
- import sys
- try:
-     from setuptools import setup, Extension
-@@ -42,13 +44,13 @@
-     def run(self):
-         try:
-             build_ext.run(self)
--        except DistutilsPlatformError, x:
-+        except DistutilsPlatformError:
-             raise BuildFailed()
- 
-     def build_extension(self, ext):
-         try:
-             build_ext.build_extension(self, ext)
--        except ext_errors, x:
-+        except ext_errors:
-             raise BuildFailed()
- 
- def run_setup(with_binary):
-@@ -94,11 +96,11 @@
- try:
-     run_setup(True)
- except BuildFailed:
--    print
--    print '*' * 80
--    print "An error occured while trying to compile with the C extension enabled" 
--    print "Attempting to build without the extension now"
--    print '*' * 80
--    print
-+    print()
-+    print('*' * 80)
-+    print("An error occured while trying to compile with the C extension enabled")
-+    print("Attempting to build without the extension now")
-+    print('*' * 80)
-+    print()
- 
-     run_setup(False)

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/build-support/thrift/BUILD
----------------------------------------------------------------------
diff --git a/build-support/thrift/BUILD b/build-support/thrift/BUILD
deleted file mode 100644
index ab19f1f..0000000
--- a/build-support/thrift/BUILD
+++ /dev/null
@@ -1,27 +0,0 @@
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#
-
-target(
-  dependencies=[
-    '3rdparty/python:thrift',
-    ':prepare_binary',
-  ]
-)
-
-prep_command(
-  name='prepare_binary',
-  goals=['compile', 'binary', 'test'],
-  prep_environ=False,
-  prep_executable='build-support/thrift/prepare_binary.sh',
-)

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/build-support/thrift/Makefile
----------------------------------------------------------------------
diff --git a/build-support/thrift/Makefile b/build-support/thrift/Makefile
deleted file mode 100644
index f440b61..0000000
--- a/build-support/thrift/Makefile
+++ /dev/null
@@ -1,63 +0,0 @@
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#      http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-THRIFT_VERSION = 0.9.1
-THRIFT_DISTNAME = thrift-$(THRIFT_VERSION)
-THRIFT_URL = https://archive.apache.org/dist/thrift/$(THRIFT_VERSION)/$(THRIFT_DISTNAME).tar.gz
-THRIFT_SHA256 = ac175080c8cac567b0331e394f23ac306472c071628396db2850cb00c41b0017
-
-# This patch is documented here: https://issues.apache.org/jira/browse/THRIFT-2386
-THRIFT_PATCH_URL = https://issues.apache.org/jira/secure/attachment/12632477/yylex.patch
-THRIFT_PATCH_SHA256 = 70f20b4e5b2e004b8a0d075b80a52750bce5be02ed83efdc60adbc45ec386a6c
-
-THRIFT = ./$(THRIFT_DISTNAME)/compiler/cpp/thrift
-THRIFT_CONFIGURE_FLAGS = \
-  --disable-dependency-tracking \
-  --disable-shared \
-  --without-c_glib \
-  --without-cpp \
-  --without-csharp \
-  --without-d \
-  --without-erlang \
-  --without-go \
-  --without-java \
-  --without-haskell \
-  --without-perl \
-  --without-php \
-  --without-php_extension \
-  --without-pic \
-  --without-qt4 \
-  --without-ruby \
-  --without-tests
-
-all: $(THRIFT)
-
-define calculate_sha256
-	openssl dgst -sha256 | cut -d' ' -f2
-endef
-
-$(THRIFT):
-	sha256=$$(curl -s --show-error $(THRIFT_URL) | tee $(THRIFT_DISTNAME).tar.gz | $(calculate_sha256)) && \
-	[ "$${sha256}" = "$(THRIFT_SHA256)" ] && \
-	tar zxvf $(THRIFT_DISTNAME).tar.gz && \
-	cd $(THRIFT_DISTNAME) && \
-	sha256=$$(curl -s --show-error $(THRIFT_PATCH_URL) | tee thrift.patch | $(calculate_sha256)) && \
-	[ "$${sha256}" = "$(THRIFT_PATCH_SHA256)" ] && \
-	patch -p1 < thrift.patch && \
-	patch -p1 < ../AURORA-1727.compiler.cpp.Makefile.in.patch && \
-	patch -p1 < ../AURORA-1727.compiler.cpp.src.generate.t_java_generator.cc.patch && \
-	patch -p1 < ../AURORA-1727.lib.py.setup.py.patch && \
-	PYTHON=$$(which python2.7) ./configure $(THRIFT_CONFIGURE_FLAGS) && \
-	make -j4
-
-clean:
-	rm -fr $(THRIFT_DISTNAME)*

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/build-support/thrift/prepare_binary.sh
----------------------------------------------------------------------
diff --git a/build-support/thrift/prepare_binary.sh b/build-support/thrift/prepare_binary.sh
deleted file mode 100755
index 4ad997b..0000000
--- a/build-support/thrift/prepare_binary.sh
+++ /dev/null
@@ -1,72 +0,0 @@
-#!/usr/bin/env bash
-
-set -o xtrace
-set -o errexit
-set -o nounset
-
-readonly HERE=$(cd $(dirname "${BASH_SOURCE[0]}") && pwd)
-
-readonly SERVE_ROOT=${HERE}/serve
-
-# TODO(John Sirois): Eliminate this list (which needs to be expanded each time OSX has a new
-# release) when pants supports querying the current os id or else a psuedo-id like `local`.
-readonly KNOWN_OS_IDS=(
-  linux/i386
-  linux/x86_64
-  mac/10.6
-  mac/10.7
-  mac/10.8
-  mac/10.9
-  mac/10.10
-  mac/10.11
-  mac/10.12
-)
-
-# Runs pants safely as an indirect pants subprocess.
-function run_pants() {
-  (
-    cd "${HERE}/../.."
-    ./pants --no-colors --no-lock "$@"
-  )
-}
-
-# Returns the pants option value for the given scope and name.
-function get_pants_option() {
-  readonly scope=$1
-  readonly name=$2
-
-  run_pants options --scope=${scope} --name=${name} --output-format=json 2>/dev/null | \
-    python2.7 -c "import json, sys; print(json.load(sys.stdin)['${scope}.${name}']['value'])"
-}
-
-# Ensures the thrift binary of the given version is built for the current machine and returns its
-# path.
-function bootstrap_thrift() {
-  readonly version=$1
-
-  # This bootstraps the thrift compiler via `make` if needed.
-  ${HERE}/thriftw ${version} --version >&2 || true
-
-  # This reports the path of the actual thrift binary used.
-  ${HERE}/thriftw ${version} --which
-}
-
-# Sets up the thrift binary serving directory structure under SERVE_ROOT.
-function prepare_serve() {
-  rm -rf ${SERVE_ROOT}
-
-  readonly thrift_version=$(get_pants_option thrift-binary version)
-  readonly thrift_binary=$(bootstrap_thrift ${thrift_version})
-
-  readonly thrift_bin_dir=$(get_pants_option thrift-binary supportdir)
-  for os_id in "${KNOWN_OS_IDS[@]}"
-  do
-    serve_dir=${SERVE_ROOT}/${thrift_bin_dir}/${os_id}/${thrift_version}
-
-    mkdir -p ${serve_dir}
-    ln -f -s ${thrift_binary} ${serve_dir}/thrift
-  done
-}
-
-prepare_serve
-

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/build-support/thrift/thriftw
----------------------------------------------------------------------
diff --git a/build-support/thrift/thriftw b/build-support/thrift/thriftw
index c8debd0..26b4f9c 100755
--- a/build-support/thrift/thriftw
+++ b/build-support/thrift/thriftw
@@ -25,7 +25,7 @@ fi
 expected_version=$1
 shift
 
-HERE=$(cd `dirname "${BASH_SOURCE[0]}"` && pwd)
+HERE=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)
 
 function check_thrift_version() {
   local readonly thrift="$1"
@@ -52,29 +52,71 @@ function compatible_thrift() {
 }
 
 function compatible_system_thrift() {
-  which -a thrift | while read thrift; do
-    if compatible_thrift "${thrift}"; then
-       echo "${thrift}"
-       return
-    fi
-  done
+  if compatible_thrift "${HERE}/thrift"; then
+    echo "${HERE}/thrift"
+  else
+    which -a thrift 2> /dev/null | while read thrift; do
+      if compatible_thrift "${thrift}"; then
+         echo "${thrift}"
+         return
+      fi
+    done
+  fi
+}
+
+function run_pants() {
+  pushd "${HERE}/../.." &> /dev/null
+  ./pants --no-colors --no-lock "$@"
+  popd &> /dev/null
+}
+
+function get_pants_option() {
+  local readonly scope="$1"
+  local readonly name="$2"
+
+  run_pants options --output-format=json --scope=${scope} --name=${name} | python <(cat << EOF
+from __future__ import print_function
+
+import json
+import sys
+
+
+object = json.load(sys.stdin)
+key = "${name}" if "${scope}" == "GLOBAL" else "${scope}.${name}"
+value = object[key]["value"]
+print(value)
+EOF
+)
 }
 
 thrift="$(compatible_system_thrift)"
 if [[ -z "${thrift}" ]]; then
-  thrift="${HERE}/thrift-${expected_version}/compiler/cpp/thrift"
-  if ! compatible_thrift "${thrift}"; then
-    make -C "${HERE}" clean
-    make -C "${HERE}"
-    if ! compatible_thrift "${thrift}"; then
-      echo "Failed to find or build a thrift binary compatible with Aurora requirements!"
-      exit 1
+  readonly pants_thrift_version="$(get_pants_option thrift-binary version)"
+  if [[ "${expected_version}" != "${pants_thrift_version}" ]]; then
+    echo "Pants thrift version ${pants_thrift_version} does not match expected version ${expected_version}!"
+    exit 1
+  fi
+
+  # Bootstrap thrift compiler with pants
+  run_pants --quiet gen --cache-ignore api/src/main/thrift/org/apache/aurora/gen::
+
+  # Without reverse engineering pants custom os-specific path names,
+  # find a suitable thrift compiler
+  readonly pants_cache_dir="$(get_pants_option GLOBAL pants_bootstrapdir)"
+  readonly thrift_bin_dir="$(get_pants_option thrift-binary supportdir)"
+  for candidate in "${pants_cache_dir}/${thrift_bin_dir}"/*/*/"${expected_version}"/thrift; do
+    if compatible_thrift "${candidate}"; then
+      thrift="${candidate}"
+      break
     fi
+  done
+
+  if ! compatible_thrift "${thrift}"; then
+    echo "Failed to find or build a thrift binary compatible with Aurora requirements!"
+    exit 1
   fi
-fi
 
-if [[ "$@" == "--which" ]]; then
-  echo "${thrift}"
-else
-  exec "${thrift}" "$@"
+  ln -f -s "${thrift}" "${HERE}/thrift"
 fi
+
+exec "${thrift}" "$@"

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/build.gradle
----------------------------------------------------------------------
diff --git a/build.gradle b/build.gradle
index 76dcc04..4674513 100644
--- a/build.gradle
+++ b/build.gradle
@@ -95,7 +95,7 @@ For more details, please see https://issues.apache.org/jira/browse/AURORA-1169
   ext.servletRev = '3.1.0'
   ext.slf4jRev = '1.7.25'
   ext.stringTemplateRev = '3.2.1'
-  ext.thriftRev = '0.9.1'
+  ext.thriftRev = '0.10.0'
   ext.zookeeperRev = '3.4.8'
 
   configurations.all {

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/buildSrc/src/main/groovy/org/apache/aurora/build/ThriftPlugin.groovy
----------------------------------------------------------------------
diff --git a/buildSrc/src/main/groovy/org/apache/aurora/build/ThriftPlugin.groovy b/buildSrc/src/main/groovy/org/apache/aurora/build/ThriftPlugin.groovy
index fc2bc90..7ff23a8 100644
--- a/buildSrc/src/main/groovy/org/apache/aurora/build/ThriftPlugin.groovy
+++ b/buildSrc/src/main/groovy/org/apache/aurora/build/ThriftPlugin.groovy
@@ -42,7 +42,7 @@ class ThriftPlugin implements Plugin<Project> {
           thrift.inputFiles.each { File file ->
             exec {
               commandLine thrift.wrapperPath, thrift.version,
-                  '--gen', 'java:hashcode,private-members',
+                  '--gen', 'java:private-members',
                   '-out', thrift.genJavaDir.path,
                   file.path
             }

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/pants.ini
----------------------------------------------------------------------
diff --git a/pants.ini b/pants.ini
index 0671d9a..8c71b14 100644
--- a/pants.ini
+++ b/pants.ini
@@ -12,7 +12,7 @@
 # limitations under the License.
 
 [GLOBAL]
-pants_version: 1.3.0.dev3
+pants_version: 1.4.0.dev23
 
 plugins: [
     'pantsbuild.pants.contrib.python.checks==%(pants_version)s',
@@ -20,34 +20,24 @@ plugins: [
 
 backend_packages: [
     # Pants built-ins:
-    'pants.backend.codegen',
+    'pants.backend.codegen.thrift.python',
     'pants.backend.graph_info',
     'pants.backend.project_info',
     'pants.backend.python',
   ]
 
-[binaries]
-# Force pants to grab the thrift binary from the local one we build for gradle to use.
-baseurls: ['%(buildroot)s/build-support/thrift/serve']
-
-# Not needed once updated to >= pants 1.4.0.dev13.
-# See below issue/comment for context.
-# https://github.com/pantsbuild/pants/issues/4893#issuecomment-332019335
-path_by_id: {('darwin', '17'): ('mac', '10.12')}
-
 
 [thrift-binary]
-# Pants 0.0.57 defaults to 0.9.2, we want to stay pinned down to 0.9.1 for now.
-version: 0.9.1
+version: 0.10.0
 
 
 [python-setup]
-interpreter_requirement: CPython>=2.7,<3
+interpreter_constraints: CPython>=2.7,<3
 
 
 # We have some modules that have side-effects upon import, including starting a repl, so we can't
 # use python-eval to validate our BUILD deps currently.
-[compile.python-eval]
+[lint.python-eval]
 skip: True
 
 

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/src/main/python/apache/aurora/client/cli/BUILD
----------------------------------------------------------------------
diff --git a/src/main/python/apache/aurora/client/cli/BUILD b/src/main/python/apache/aurora/client/cli/BUILD
index 80a6dec..e4c2ff3 100644
--- a/src/main/python/apache/aurora/client/cli/BUILD
+++ b/src/main/python/apache/aurora/client/cli/BUILD
@@ -12,7 +12,7 @@
 # limitations under the License.
 #
 
-python_library(
+resources(
   name = 'auroraversion',
-  resources = [ '.auroraversion' ]
+  sources = [ '.auroraversion' ]
 )

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/src/main/python/apache/thermos/observer/BUILD
----------------------------------------------------------------------
diff --git a/src/main/python/apache/thermos/observer/BUILD b/src/main/python/apache/thermos/observer/BUILD
index 95b8dcd..03db308 100644
--- a/src/main/python/apache/thermos/observer/BUILD
+++ b/src/main/python/apache/thermos/observer/BUILD
@@ -15,10 +15,14 @@
 import os
 
 
+resources(
+  name = 'ui',
+  sources = zglobs('**/assets/*', '**/*.tpl'),
+)
+
 python_library(
   name = 'observer',
   sources = rglobs('*.py'),
-  resources = zglobs('**/assets/*', '**/*.tpl'),
   dependencies = [
     '3rdparty/python:bottle',
     '3rdparty/python:mako',
@@ -36,6 +40,8 @@ python_library(
     'src/main/python/apache/thermos/common',
     'src/main/python/apache/thermos/config',
     'src/main/python/apache/thermos/monitoring',
+
+    ':ui',
   ],
   provides = setup_py(
     name = 'apache.thermos.observer',

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/src/test/python/apache/aurora/__init__.py
----------------------------------------------------------------------
diff --git a/src/test/python/apache/aurora/__init__.py b/src/test/python/apache/aurora/__init__.py
deleted file mode 100644
index 0663a9a..0000000
--- a/src/test/python/apache/aurora/__init__.py
+++ /dev/null
@@ -1,13 +0,0 @@
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/src/test/python/apache/aurora/admin/__init__.py
----------------------------------------------------------------------
diff --git a/src/test/python/apache/aurora/admin/__init__.py b/src/test/python/apache/aurora/admin/__init__.py
deleted file mode 100644
index 0663a9a..0000000
--- a/src/test/python/apache/aurora/admin/__init__.py
+++ /dev/null
@@ -1,13 +0,0 @@
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/src/test/python/apache/aurora/client/__init__.py
----------------------------------------------------------------------
diff --git a/src/test/python/apache/aurora/client/__init__.py b/src/test/python/apache/aurora/client/__init__.py
deleted file mode 100644
index 0663a9a..0000000
--- a/src/test/python/apache/aurora/client/__init__.py
+++ /dev/null
@@ -1,13 +0,0 @@
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/src/test/python/apache/aurora/client/api/__init__.py
----------------------------------------------------------------------
diff --git a/src/test/python/apache/aurora/client/api/__init__.py b/src/test/python/apache/aurora/client/api/__init__.py
deleted file mode 100644
index 0663a9a..0000000
--- a/src/test/python/apache/aurora/client/api/__init__.py
+++ /dev/null
@@ -1,13 +0,0 @@
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/src/test/python/apache/aurora/client/binding_helpers/__init__.py
----------------------------------------------------------------------
diff --git a/src/test/python/apache/aurora/client/binding_helpers/__init__.py b/src/test/python/apache/aurora/client/binding_helpers/__init__.py
deleted file mode 100644
index 0663a9a..0000000
--- a/src/test/python/apache/aurora/client/binding_helpers/__init__.py
+++ /dev/null
@@ -1,13 +0,0 @@
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/src/test/python/apache/aurora/client/cli/__init__.py
----------------------------------------------------------------------
diff --git a/src/test/python/apache/aurora/client/cli/__init__.py b/src/test/python/apache/aurora/client/cli/__init__.py
deleted file mode 100644
index 0663a9a..0000000
--- a/src/test/python/apache/aurora/client/cli/__init__.py
+++ /dev/null
@@ -1,13 +0,0 @@
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/src/test/python/apache/aurora/client/docker/__init__.py
----------------------------------------------------------------------
diff --git a/src/test/python/apache/aurora/client/docker/__init__.py b/src/test/python/apache/aurora/client/docker/__init__.py
deleted file mode 100644
index 0663a9a..0000000
--- a/src/test/python/apache/aurora/client/docker/__init__.py
+++ /dev/null
@@ -1,13 +0,0 @@
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/src/test/python/apache/aurora/common/health_check/__init__.py
----------------------------------------------------------------------
diff --git a/src/test/python/apache/aurora/common/health_check/__init__.py b/src/test/python/apache/aurora/common/health_check/__init__.py
deleted file mode 100644
index 0663a9a..0000000
--- a/src/test/python/apache/aurora/common/health_check/__init__.py
+++ /dev/null
@@ -1,13 +0,0 @@
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#

http://git-wip-us.apache.org/repos/asf/aurora/blob/4489dc34/src/test/python/apache/aurora/executor/common/__init__.py
----------------------------------------------------------------------
diff --git a/src/test/python/apache/aurora/executor/common/__init__.py b/src/test/python/apache/aurora/executor/common/__init__.py
deleted file mode 100644
index 0663a9a..0000000
--- a/src/test/python/apache/aurora/executor/common/__init__.py
+++ /dev/null
@@ -1,13 +0,0 @@
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#